package com.bonus.canteen.core.supply.purchase.domain.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel
public class DrpPurNoticePageDTO {
   @ApiModelProperty("当前页")
   private Long current;
   @ApiModelProperty("每页显示条数")
   private Long size;
   @ApiModelProperty("通知时间开始")
   private LocalDateTime startTime;
   @ApiModelProperty("通知时间结束")
   private LocalDateTime endTime;
   @ApiModelProperty("采购单号")
   private String planId;
   @ApiModelProperty("供货单号")
   private String supplierSingleId;
   @ApiModelProperty("供应商")
   private String supplierName;
   @ApiModelProperty("通知结果")
   private Integer noticeStatus;
   @ApiModelProperty("通知过程(1采购员通知供应商更改2供应商通知采购员确认3采购员通知供应商已确认)")
   private Integer noticeProcess;
   @ApiModelProperty("通知类型(1正常通知2再次通知)")
   private Integer noticeType;
   @ApiModelProperty("通知方式(1邮件通知,2短信通知,3公众号通知)")
   private Integer noticeStyle;

   public Long getCurrent() {
      return this.current;
   }

   public Long getSize() {
      return this.size;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public String getPlanId() {
      return this.planId;
   }

   public String getSupplierSingleId() {
      return this.supplierSingleId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public Integer getNoticeStatus() {
      return this.noticeStatus;
   }

   public Integer getNoticeProcess() {
      return this.noticeProcess;
   }

   public Integer getNoticeType() {
      return this.noticeType;
   }

   public Integer getNoticeStyle() {
      return this.noticeStyle;
   }

   public void setCurrent(final Long current) {
      this.current = current;
   }

   public void setSize(final Long size) {
      this.size = size;
   }

   public void setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
   }

   public void setPlanId(final String planId) {
      this.planId = planId;
   }

   public void setSupplierSingleId(final String supplierSingleId) {
      this.supplierSingleId = supplierSingleId;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setNoticeStatus(final Integer noticeStatus) {
      this.noticeStatus = noticeStatus;
   }

   public void setNoticeProcess(final Integer noticeProcess) {
      this.noticeProcess = noticeProcess;
   }

   public void setNoticeType(final Integer noticeType) {
      this.noticeType = noticeType;
   }

   public void setNoticeStyle(final Integer noticeStyle) {
      this.noticeStyle = noticeStyle;
   }
}
